KAFS-CHECK-CONFIG(8)

NAME
kafs-check-config - AFS configuration check tool

SYNOPSIS
kafs-check-config [-46PDvv] [-c <conffile>]* [-N <restriction>] [<cellname>]*

DESCRIPTION
This program is used to check the configuration for the in-kernel AFS filesystem (kAFS). This configuration is used when systemd mounts the filesystem to load up the cell database and create cell automounts in the /afs directory.

The configuration is also used by the kernel name resolver upcall to provide static configuration for some cells and to specify overrides and limits on DNS lookups.

If a list of "cellname" arguments is given, the listed cells will be dumped, including the sources of the Volume Location records and address records.

OPTIONS

-4  Only show IPv4 addresses in the dump.

-6  Only show IPv6 addresses in the dump.

-P  Dump the parse tree of the configuration file(s).

-D  Dump the cell database extracted from the configuration.

-v  Increase the verbosity of the output. This may be specified multiple times.

-c <conffile>
    Specify a configuration file to read instead of the system default. This may be specified multiple times and the configuration files are read and applied in order.

-N <restriction>
    Apply a restriction to the lookup performed for the listed cells (if any are). Valid restrictions include:

    vl-srv
        Don't use SRV records to find Volume Location servers.

    vl-afsdb
        Don't use AFSDB records to find Volume Location servers.

    vl-all
        Don't use SRV or AFSDB records to find Volume Location servers.

    vl-host
        Don't look cell name up as hostname to find a Volume Location server.

        vl-dns

        Don't do any lookups to find Volume Location servers. Use only the static configuration.

ARGUMENT

<cellname>
    The AFS cell name to display. Multiple cells may be specified. If no cell name is specified the default cell specified in "/proc/net/afs/rootcell" is displayed.

EXIT STATUS

0 - If check okay and any dumping succeeded
1 - If an error occurs during processing
2 - If a command line error occurs

EXAMPLES
To display the configuration for the default cell:

        # kafs-check-config

        === Found cell some-cell.org ===
          - use-dns=no
          - show-cell=no
          - status: no-lookup, from config
          - VLSERVER shelter-4.some-cell.org [good; nss]
            - address 10.0.0.48
          - VLSERVER shelter-5.some-cell.org [good; nss]
            - address 10.0.0.54

To display two specific cells:

        # kafs-check-config ir.stanford.edu grand.central.org

        === Found cell ir.stanford.edu ===
          - show-cell=no
          - status: good, from SRV
          - VLSERVER afsdb3.stanford.edu [good; nss]
            - udp
            - port 7003, pref 0, weight 0
            - address 171.64.7.246
          - VLSERVER afsdb2.stanford.edu [good; nss]
            - udp
            - port 7003, pref 0, weight 0
            - address 171.64.7.234
          - VLSERVER afsdb1.stanford.edu [good; nss]
            - udp
            - port 7003, pref 0, weight 0
            - address 171.64.7.222

        === Found cell grand.central.org ===
          - show-cell=no
          - status: good, from SRV
          - VLSERVER grand.mit.edu [good; nss]
            - udp
            - port 7003, pref 0, weight 0
            - address 18.9.48.14
          - VLSERVER grand-old-opry.central.org [good; nss]
            - udp
            - port 7003, pref 0, weight 0
            - address 128.2.13.219

SEE ALSO
kafs(7), kafs-client.conf(5), kafs-preload(8)

COPYRIGHT
Copyright (C) 2019 Red Hat, Inc. All Rights Reserved.

Written by David Howells (dhowells@redhat.com)

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.